/**
 */
package myEcore;

import org.eclipse.emf.ecore.EAttribute;
import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.EPackage;
import org.eclipse.emf.ecore.EReference;

/**
 * <!-- begin-user-doc -->
 * The <b>Package</b> for the model.
 * It contains accessors for the meta objects to represent
 * <ul>
 *   <li>each class,</li>
 *   <li>each feature of each class,</li>
 *   <li>each operation of each class,</li>
 *   <li>each enum,</li>
 *   <li>and each data type</li>
 * </ul>
 * <!-- end-user-doc -->
 * @see myEcore.MyEcoreFactory
 * @model kind="package"
 * @generated
 */
public interface MyEcorePackage extends EPackage {
	/**
	 * The package name.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	String eNAME = "myEcore";

	/**
	 * The package namespace URI.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	String eNS_URI = "myEcore-v2.0";

	/**
	 * The package namespace name.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	String eNS_PREFIX = "myEcore";

	/**
	 * The singleton instance of the package.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	MyEcorePackage eINSTANCE = myEcore.impl.MyEcorePackageImpl.init();

	/**
	 * The meta object id for the '{@link myEcore.impl.ClassAImpl <em>Class A</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see myEcore.impl.ClassAImpl
	 * @see myEcore.impl.MyEcorePackageImpl#getClassA()
	 * @generated
	 */
	int CLASS_A = 0;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CLASS_A__NAME = 0;

	/**
	 * The feature id for the '<em><b>Att V1 1</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CLASS_A__ATT_V1_1 = 1;

	/**
	 * The feature id for the '<em><b>Class B</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CLASS_A__CLASS_B = 2;

	/**
	 * The number of structural features of the '<em>Class A</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CLASS_A_FEATURE_COUNT = 3;

	/**
	 * The number of operations of the '<em>Class A</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CLASS_A_OPERATION_COUNT = 0;


	/**
	 * Returns the meta object for class '{@link myEcore.ClassA <em>Class A</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Class A</em>'.
	 * @see myEcore.ClassA
	 * @generated
	 */
	EClass getClassA();

	/**
	 * Returns the meta object for the attribute '{@link myEcore.ClassA#getName <em>Name</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Name</em>'.
	 * @see myEcore.ClassA#getName()
	 * @see #getClassA()
	 * @generated
	 */
	EAttribute getClassA_Name();

	/**
	 * Returns the meta object for the attribute '{@link myEcore.ClassA#getAttV1_1 <em>Att V1 1</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Att V1 1</em>'.
	 * @see myEcore.ClassA#getAttV1_1()
	 * @see #getClassA()
	 * @generated
	 */
	EAttribute getClassA_AttV1_1();

	/**
	 * Returns the meta object for the reference '{@link myEcore.ClassA#getClassB <em>Class B</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Class B</em>'.
	 * @see myEcore.ClassA#getClassB()
	 * @see #getClassA()
	 * @generated
	 */
	EReference getClassA_ClassB();

	/**
	 * Returns the factory that creates the instances of the model.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the factory that creates the instances of the model.
	 * @generated
	 */
	MyEcoreFactory getMyEcoreFactory();

	/**
	 * <!-- begin-user-doc -->
	 * Defines literals for the meta objects that represent
	 * <ul>
	 *   <li>each class,</li>
	 *   <li>each feature of each class,</li>
	 *   <li>each operation of each class,</li>
	 *   <li>each enum,</li>
	 *   <li>and each data type</li>
	 * </ul>
	 * <!-- end-user-doc -->
	 * @generated
	 */
	interface Literals {
		/**
		 * The meta object literal for the '{@link myEcore.impl.ClassAImpl <em>Class A</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see myEcore.impl.ClassAImpl
		 * @see myEcore.impl.MyEcorePackageImpl#getClassA()
		 * @generated
		 */
		EClass CLASS_A = eINSTANCE.getClassA();

		/**
		 * The meta object literal for the '<em><b>Name</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute CLASS_A__NAME = eINSTANCE.getClassA_Name();

		/**
		 * The meta object literal for the '<em><b>Att V1 1</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute CLASS_A__ATT_V1_1 = eINSTANCE.getClassA_AttV1_1();

		/**
		 * The meta object literal for the '<em><b>Class B</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference CLASS_A__CLASS_B = eINSTANCE.getClassA_ClassB();

	}

} //MyEcorePackage
